Back to YouTube
TikHub·YouTube

YouTube Web V2: Get video information

/api/v1/youtube/web_v2/get_video_infosync$0.003 / call

Get YouTube video details. Returns raw complete data (includes playerResponse and initialData) (TikHub · YouTube Web V2)

Input
  • video_idstringrequired

    Video ID

  • language_codestring

    Language code (default "zh-CN")

  • need_formatboolean

    Whether to clean and format the data (default true)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_video_info","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.